Set per-variant inventory tracking flags and stock counts
curl --request PATCH \
--url https://api.replo.app/v1/products/{productId}/inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Replo-Api-Version: <replo-api-version>' \
--data '
{
"variants": [
{
"optionValues": [
{
"optionName": "<string>",
"value": "<string>"
}
],
"trackInventory": true,
"available": 1073741823,
"continueSellingWhenOutOfStock": true
}
]
}
'import requests
url = "https://api.replo.app/v1/products/{productId}/inventory"
payload = { "variants": [
{
"optionValues": [
{
"optionName": "<string>",
"value": "<string>"
}
],
"trackInventory": True,
"available": 1073741823,
"continueSellingWhenOutOfStock": True
}
] }
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Replo-Api-Version': '<replo-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
variants: [
{
optionValues: [{optionName: '<string>', value: '<string>'}],
trackInventory: true,
available: 1073741823,
continueSellingWhenOutOfStock: true
}
]
})
};
fetch('https://api.replo.app/v1/products/{productId}/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "product_inventory",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variants": [
{
"optionValues": [
{
"optionName": "<string>",
"value": "<string>"
}
],
"trackInventory": true,
"available": 123,
"continueSellingWhenOutOfStock": true
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}Products
Set per-variant inventory tracking flags and stock counts
PATCH
/
products
/
{productId}
/
inventory
Set per-variant inventory tracking flags and stock counts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The public API version to use for this request.
Available options:
2026-09-08 Path Parameters
Body
application/json
Required array length:
1 - 250 elementsShow child attributes
Show child attributes